Subject: Re: [PATCH 03/15] ehea: Remove force_irq logic in napi poll routine

From: Ben Hutchings <[email-masked]>
Date: Thu, 12 May 2011 03:47:36 +0100

On Thu, 2011-05-12 at 10:52 +1000, Anton Blanchard wrote:

> commit 18604c548545 (ehea: NAPI multi queue TX/RX path for SMP) added
> driver specific logic for exiting napi mode. I'm not sure what it was
> trying to solve and it should be up to the network stack to decide when
> we are done polling so remove it.
[...]

I don't know.  But I'd really like to know why you are calling
napi_reschedule() and napi_complete() in a loop, inside the poll
function.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.